> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sim.dune.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Solana Transactions

> Get transactions for a given SVM address

The Solana Transactions API allows for quick and accurate lookup of transactions associated with an address.
**We currently only support Solana** (Eclipse support coming soon).

# Response Structure

The API returns a JSON object with the following top-level fields:

| Field        | Description                                   | Type        |
| ------------ | --------------------------------------------- | ----------- |
| next\_offset | Pagination token for the next page of results | string/null |
| transactions | Array of transaction objects                  | array       |

# Transaction Object Fields

Each item in the `transactions` array contains the following fields:

| Field            | Description                                                     | Type   |
| ---------------- | --------------------------------------------------------------- | ------ |
| address          | Wallet address                                                  | string |
| block\_slot      | Block's sequential index                                        | number |
| block\_time      | Timestamp of block creation (in microseconds)                   | number |
| chain            | Name of the blockchain                                          | string |
| raw\_transaction | Raw transaction data from the RPC node at the time of ingestion | object |

<Note>
  See [getTransaction RPC Method](https://solana.com/docs/rpc/http/gettransaction) for more details about `raw_transaction`.
</Note>

# Ordering

The data is ordered by descending block time, so that new transactions will always be delivered first.

# Pagination

This endpoint is using cursor based pagination. You can use the `limit` parameter to define the maximum page size.
Results might at times be less than the maximum page size.
The `next_offset` value is included in the response and can be utilized to fetch the next page of results by passing it as the `offset` query parameter in the next request.

<Warning>You can only use the value from `next_offset` to set the `offset` parameter of the next page of results. Using your own `offset` value will not have any effect.</Warning>

## Compute Unit Cost

The Solana Transactions endpoint has a fixed CU cost of **1** per request. See the [Compute Units](/compute-units) page for detailed information.


## OpenAPI

````yaml /openapi.json GET /beta/svm/transactions/{address}
openapi: 3.0.3
info:
  title: Sim API
  description: >-
    The Sim API by Dune provides real-time blockchain data across EVM and SVM
    chains. Access token balances, transaction history, on-chain activity, DeFi
    positions, NFT collectibles, token information, and webhook subscriptions
    through a unified REST API.
  version: 1.0.0
  license:
    name: ''
  contact:
    name: Dune Support
    url: https://docs.sim.dune.com
    email: support@dune.com
servers:
  - url: https://api.sim.dune.com
security:
  - ApiKeyAuth: []
tags:
  - name: evm
    description: EVM-compatible blockchain endpoints.
  - name: svm
    description: Solana/SVM blockchain endpoints.
  - name: activity
    description: On-chain activity feed.
  - name: balances
    description: Token balances (EVM and SVM).
  - name: transactions
    description: Transaction history (EVM and SVM).
  - name: collectibles
    description: NFT and ERC721/ERC1155 holdings.
  - name: defi
    description: DeFi protocol positions.
  - name: supported-chains
    description: Supported blockchain networks.
  - name: token-info
    description: Token metadata and pricing.
  - name: token-holders
    description: Token holder distribution.
  - name: subscriptions
    description: >-
      Webhook subscription management for real-time on-chain event
      notifications.
paths:
  /beta/svm/transactions/{address}:
    get:
      tags:
        - svm
        - transactions
      summary: Get SVM transactions
      description: Get transactions for a given SVM address
      operationId: getSvmTransactions
      parameters:
        - name: address
          in: path
          description: SVM wallet address
          required: true
          schema:
            type: string
            default: 86xCnPeV69n6t3DnyGvkKobf9FdN2H9oiVDdaMpo2MMY
          example: 86xCnPeV69n6t3DnyGvkKobf9FdN2H9oiVDdaMpo2MMY
        - name: limit
          in: query
          description: >-
            Maximum number of results to return. Default is 100 when not
            provided. Values above 1000 are reduced to 1000.
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 100
        - name: offset
          in: query
          description: Pagination offset from previous response
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SvmTransactionsResponse'
              example:
                next_offset: eyJibG9ja190aW1lIjoxNjgwMDAwMDAwLCJpbmRleCI6MH0=
                transactions:
                  - address: DYw8jCTfwHNRJhhmFcbXvVDTqWMEVFBX6ZKUmG5CNSKK
                    block_slot: 123456789
                    block_time: 1680000000000000
                    chain: solana
                    raw_transaction:
                      blockTime: 1680000000
                      meta:
                        err: null
                        fee: 5000
                        innerInstructions: []
                        logMessages:
                          - Program 11111111111111111111111111111111 invoke [1]
                          - Program 11111111111111111111111111111111 success
                        postBalances:
                          - 499995000
                          - 10000000
                        postTokenBalances: []
                        preBalances:
                          - 500000000
                          - 0
                        preTokenBalances: []
                        rewards: []
                        status:
                          Ok: null
                      slot: 123456789
                      transaction:
                        message:
                          accountKeys:
                            - DYw8jCTfwHNRJhhmFcbXvVDTqWMEVFBX6ZKUmG5CNSKK
                            - 9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin
                          header:
                            numReadonlySignedAccounts: 0
                            numReadonlyUnsignedAccounts: 1
                            numRequiredSignatures: 1
                          instructions:
                            - accounts:
                                - 0
                                - 1
                              data: 3Bxs4h24hBtQy9rw
                              programIdIndex: 2
                          recentBlockhash: '11111111111111111111111111111111'
                        signatures:
                          - >-
                            5SzSbWKM9yZC7cCGMhUhvnYdWQytrk9NBaWwug1gQBKKwNEBvBKqPSfVeYYnZwUuUyvcCHgYhDkTRrB6YBfwzfv8
        '400':
          description: Bad Request - Invalid address or request parameter.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SvmTransactions_ErrorResponse'
              examples:
                invalidRequest:
                  value:
                    message: Invalid request
        '401':
          description: Unauthorized - Invalid or missing API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayErrorResponse'
              examples:
                invalidApiKey:
                  value:
                    error: invalid API Key
        '429':
          description: Rate Limit Exceeded - Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayErrorResponse'
              examples:
                rateLimitExceeded:
                  value:
                    error: >-
                      Too many requests. Please contact sales@dune.com to
                      increase your limit.
        '500':
          description: Internal Server Error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SvmTransactions_ErrorResponse'
              examples:
                internalError:
                  value:
                    message: Internal server error
components:
  schemas:
    SvmTransactionsResponse:
      type: object
      required:
        - transactions
      properties:
        next_offset:
          type: string
          description: Pagination token for the next page of results
        transactions:
          type: array
          description: Array of transaction objects
          items:
            $ref: '#/components/schemas/SvmTransaction'
    SvmTransactions_ErrorResponse:
      type: object
      description: Error response from the SVM Transactions service.
      properties:
        message:
          type: string
          description: Error message.
      required:
        - message
    GatewayErrorResponse:
      type: object
      description: >-
        Error response from the API gateway. Returned for authentication,
        permissions, rate-limiting, and quota errors.
      properties:
        error:
          type: string
          description: Error message.
      required:
        - error
    SvmTransaction:
      type: object
      required:
        - address
        - block_slot
        - block_time
        - chain
      properties:
        address:
          type: string
          description: Wallet address
        block_slot:
          type: number
          description: Block's sequential index
        block_time:
          type: number
          description: Timestamp of block creation (in microseconds)
        chain:
          type: string
          description: Name of the blockchain
        raw_transaction:
          type: object
          description: Raw transaction data from the RPC node at the time of ingestion
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Sim-Api-Key
      description: >-
        API key for authentication. Obtain your key from the Dune dashboard at
        sim.dune.com.

````